Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.internet2.middleware.shibboleth.idp.authn
Class ShibbolethSSOLoginContext

    java.lang.Object
      edu.internet2.middleware.shibboleth.idp.authn.LoginContext
          edu.internet2.middleware.shibboleth.idp.authn.ShibbolethSSOLoginContext

All Implemented Interfaces:
  Serializable

    public class ShibbolethSSOLoginContext

extends LoginContext

Shibboleth SSO aware extension to `LoginContext`.

See Also:
  Serialized Form

Field Summary

Fields inherited from class edu.internet2.middleware.shibboleth.idp.authn.LoginContext
`LOGIN_CONTEXT_KEY`

Constructor Summary
`ShibbolethSSOLoginContext()` Constructor.

Method Summary
`String` | `getSpAssertionConsumerService()` Gets the service provider assertion consumer service URL.
`String` | `getSpTarget()` Gets the service provider target URL.
`void` | `setSpAssertionConsumerService(String url)` Sets the service provider assertion consumer service URL.
`void` | `setSpTarget(String url)` Sets the service provider target URL.

Methods inherited from class edu.internet2.middleware.shibboleth.idp.authn.LoginContext
`getAttemptedAuthnMethod, getAuthenticationAttempted, getAuthenticationDuration, getAuthenticationEngineURL, getAuthenticationFailure, getAuthenticationInstant, getAuthenticationMethod, getAuthenticationMethodInformation, getPrincipalName, getProfileHandlerURL, getProperty, getRelyingPartyId, getRequestedAuthenticationMethods, getSessionID, isForceAuthRequired, isPassiveAuthRequired, isPrincipalAuthenticated, setAttemptedAuthnMethod, setAuthenticationAttempted, setAuthenticationDuration, setAuthenticationEngineURL, setAuthenticationFailure, setAuthenticationInstant, setAuthenticationMethod, setAuthenticationMethodInformation, setForceAuthRequired, setPassiveAuthRequired, setPrincipalAuthenticated, setPrincipalName, setProfileHandlerURL, setProperty, setRelyingParty, setSessionID`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ShibbolethSSOLoginContext

    public ShibbolethSSOLoginContext()

  Constructor.

Method Detail

### getSpAssertionConsumerService

    public String getSpAssertionConsumerService()

  Gets the service provider assertion consumer service URL.

  Returns:
    service provider assertion consumer service URL

### setSpAssertionConsumerService

    public void setSpAssertionConsumerService(String url)

  Sets the service provider assertion consumer service URL.

  Parameters:
    `url` - service provider assertion consumer service URL

### getSpTarget

    public String getSpTarget()

  Gets the service provider target URL.

  Returns:
    service provider target URL

### setSpTarget

    public void setSpTarget(String url)

  Sets the service provider target URL.

  Parameters:
    `url` - service provider target URL

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2008 Internet2. All Rights Reserved.